#!/bin/sh
# Script para iniciar el convertidor de archivos de audio: audio-convert
# Utiliza zenity + audio-convert y sus dependencias
#BUG: el cuadro de seleccionar archivos no admite archivos con . Problema de localizacion?.

#Variable que recoge los archivo seleccionado:
SELECCIONADO="$1"

#Si no hay archivo(s) seleccionado muestra dialogo seleccionar archivo
# util para poder usar audio-convert tambien desde el menu de aplicaciones.
if [ "$SELECCIONADO" = "" ];then
 SELECCIONADO=`zenity --file-selection --title "Selecciona archivo de audio a convertir"`
 
   #Para que salga sin hacer nada, si se presiona Cancelar:
   STATUSRET=$?
   if [ $STATUSRET -eq 1 ];then
	exit;
   fi
   #Lo mismo si se pincha el boton "cerrar programa" de Icewm:
   if [ $STATUSRET -eq 255 ];then
	exit;
   fi
fi 

#Ventana con info sobre el programa:
zenity --question --title "Convertir archivo audio" --text "Esta aplicacin sirve para convertir un archivo de sonido que has seleccionado de un formato a otro (ogg, mp3, wav, por ejemplo).\n \nA continuacin se te preguntar por el formato al que quieres convertir el archivo seleccionado.\n \nPosteriormente pueden haber mas preguntas adicionales, en funcin del formato elegido.\n \nSi te pregunta por la calidad del nuevo archivo comprimido, ten en cuenta que segn se desciende en la lista de opciones la calidad del archivo (y tambin su tamao, claro) va en aumento.\n \n    ATENCIN:\nTen en cuenta que pasar de un formato de audio comprimido (ogg, mp3) a otro tambin comprimido produce una prdida de calidad del sonido.\n \nAs que pinsatelo bien antes de hacerlo (si es necesario, etc.).\n \nSin embargo, pasar de un formato comprimido a wav (no comprimido) no produce prdida de calidad."

#Para que salga sin hacer nada, si se presiona Cancelar:
STATUSRET=$?
if [ $STATUSRET -eq 1 ];then
	exit;
fi
#Lo mismo si se pincha el boton "cerrar programa" de Icewm:
if [ $STATUSRET -eq 255 ];then
	exit;
fi

#Comando que se ejecuta para correr audio-convert
# lo de  ">/dev/null 2>&1" es para mandar a /dev/null todo el output a stadout de audioconvert,
#  que da grandes mensajes de error en endeavour.
export LANG=es_ES && exec audio-convert "$SELECCIONADO" >/dev/null 2>&1
